
%define mnv b1
%define num 1
%define version 3.1.0
%define release alt0.%mnv.%num
%setup_python_module Zope3

%define zdir %python_tooldir/zope
%define zskeldir /usr/share/zopeskel

Summary: Zope 3 Application Server
Name: Zope3
Version: %{version}
Release: %{release}
Source0: Zope-%{version}%mnv.tgz
Source1: %{modulename}-utils.tar.gz
Patch0: Zope-3.1.0-utils.patch  
Patch1: Zope-3.1.0-ztapi-requires.patch
Patch2: Zope-3.1.0-mkzopeinstance.patch

License: ZPL 2.1
Group: Development/Python
Prefix: %{_prefix}
Vendor: Zope Corporation and Contributors <zope3-dev@zope.org>
Url: http://dev.zope.org/Zope3/

%description
        Zope is a web application server.

%package tests
Summary: Testing environment for Zope X3 components
Group: System/Servers
AutoReq: nopython
AutoProv: nopython

%description tests
Modules to carry out tests contained in Zope packages

%package skel
Summary: Skeleton dirs to create zope instances
Group: System/Servers

%description skel
Skeleton dirs to create zope instances

%package  tools
Summary: Tools to customize and run zope environment
Group: System/Servers

%description tools
Tools to customize and run zope environment

%package scripts
AutoReq: yes, noshell
Summary: Zope startup and maintenance scripts
Group: System/Servers

%description scripts
Scripts helping in Zope administration: server starting, database crunching,
log rotation etc.

Package creates `zope' user and first server named `basic'.


%prep
%setup  -q -n Zope-%version%mnv
%setup -D -T -n Zope-%version%mnv -a 1
%patch0 -p1
#patch1 -p1
%patch2 -p1

%build
env CFLAGS="$RPM_OPT_FLAGS" %__python install.py build

%install
%__python install.py install --root=$RPM_BUILD_ROOT --optimize=2 --record=INSTALLED_FILES

grep -v "^/usr/include/python2.4/Zope" INSTALLED_FILES |
	grep -vE "/usr/bin|/usr/lib/python2.4/site-packages/RestrictedPython/Utilities.py|/usr/lib/python2.4/site-packages/ZODB/Mount.py|/usr/lib/python2.4/site-packages/BTrees/Interfaces.py|/usr/lib/python2.4/site-packages/RestrictedPython/SafeMapping.py" |
	grep -Ev "/f*tests/|/f*tests.py(|c|o)" > FILES

grep -E "/f*tests/|/f*tests.py(|c|o)" INSTALLED_FILES  > Zope.tests

grep -v "^/usr/zopeskel" FILES > Zope.files

#grep "^/usr/zopeskel" FILES > Zope.skel

install -d $RPM_BUILD_ROOT%zdir $RPM_BUILD_ROOT/usr/share

mv "$RPM_BUILD_ROOT/usr/bin/"* "$RPM_BUILD_ROOT%zdir"
for item in $RPM_BUILD_ROOT%zdir/*; do
    ln -sf "%zdir/$(basename "$item")" "$RPM_BUILD_ROOT%_bindir/$(basename "$item" .py)"
done
mv "$RPM_BUILD_ROOT/usr/zopeskel" "$RPM_BUILD_ROOT%zskeldir"

install -m0755 --directory      $RPM_BUILD_ROOT/etc/httpd/conf
install -m0755 --directory      $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m0755 --directory      $RPM_BUILD_ROOT/etc/cron.daily
install -m0755 --directory      $RPM_BUILD_ROOT/etc/logrotate.d
install -m0755 --directory      $RPM_BUILD_ROOT/etc/sysconfig
install -m0755 --directory      $RPM_BUILD_ROOT/etc/sysconfig/zope

install -m0755 Zope3-utils/scripts/init.d.zope $RPM_BUILD_ROOT/etc/rc.d/init.d/zope
install -m0644 Zope3-utils/cfg/zope_hosts.cfg $RPM_BUILD_ROOT/etc/sysconfig
install -m0644 Zope3-utils/cfg/zope_local.cfg $RPM_BUILD_ROOT/etc/sysconfig
install -m0644 Zope3-utils/cfg/zope_default $RPM_BUILD_ROOT/etc/sysconfig
install -m0644 Zope3-utils/cfg/zope_proxy.conf $RPM_BUILD_ROOT/etc/httpd/conf
#install Zope3-utils/cfg/cron.daily.zope  $RPM_BUILD_ROOT/etc/cron.daily/zope
#install Zope3-utils/cfg/logrotate.d.zope $RPM_BUILD_ROOT/etc/logrotate.d/zope


echo Ok

%files -f Zope.files
%defattr(-,root,root)
%doc Zope/LICENSES.txt Zope/ZopePublicLicense.txt Zope/doc/INSTALL.txt Zope/doc/TODO.txt Zope/doc/ENVIRONMENT.txt Zope/doc/CHANGES.txt Zope/doc/FAQ.txt Zope/doc/index.txt Zope/doc/ROADMAP.txt Zope/doc/UNITTEST.txt Zope/doc/LOGGING.txt Zope/doc/FTEST.txt Zope/doc/DEBUG.txt Zope/doc/TODOLATER.txt Zope/doc/CREDITS.txt README.txt

%files tests -f Zope.tests
%defattr(-,root,root)

%files skel
# -f Zope.skel
%defattr(-,root,root)
%zskeldir

%files tools 
%_bindir/*
%zdir/*

%files scripts
    %defattr(-, root, root)
    /etc/rc.d/init.d/*
    %config(noreplace) /etc/sysconfig/zope_hosts.cfg
    %config(noreplace) /etc/sysconfig/zope_local.cfg
    %config(noreplace) /etc/httpd/conf/zope_proxy.conf
    %config(noreplace) /etc/sysconfig/zope_default

#    /usr/lib/zope/bin
#    %_bindir/*
#    /var/lib/zope
#    /var/log/zope
#    %exclude %python_sitelibdir/*/tests

#/etc/cron.daily/*
#/etc/logrotate.d/*

%changelog
* Tue Jul 05 2005 Andrey Orlov <cray@altlinux.ru> 3.1.0-alt0.b1.1
- Script mkzopeinstance has been changed to register new Zope
  instance in system configuration files and set permisions 
  as I want.

* Tue Jul 05 2005 Andrey Orlov <cray@altlinux.ru> 3.1.0-alt0.b1.0
- New Version

* Wed Jun 01 2005 Andrey Orlov <cray@altlinux.ru> 3.0.0-alt2
- Initial Release


